Get a movie
curl --request GET \
--url https://api.keyframe.art/v1/movies/{movie_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.keyframe.art/v1/movies/{movie_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.keyframe.art/v1/movies/{movie_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "movie_abc123",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompt": "<string>",
"duration_seconds": 123,
"aspect_ratio": "16:9",
"progress": {
"percent": 50,
"stage": "<string>"
},
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}Movies
Get a movie
Retrieve a movie job and its current status.
GET
/
movies
/
{movie_id}
Get a movie
curl --request GET \
--url https://api.keyframe.art/v1/movies/{movie_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.keyframe.art/v1/movies/{movie_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.keyframe.art/v1/movies/{movie_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "movie_abc123",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompt": "<string>",
"duration_seconds": 123,
"aspect_ratio": "16:9",
"progress": {
"percent": 50,
"stage": "<string>"
},
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "req_abc123"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Movie ID.
Pattern:
^movie_[A-Za-z0-9]+$Response
Movie job.
Example:
"movie_abc123"
Available options:
queued, planning, generating, rendering, completed, failed, canceled Available options:
16:9, 9:16, 1:1, 4:5 Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I